## libarr 0.1-52

=== Makefile ===
#
# $Id: Makefile,v 1.4 2001/07/13 17:35:49 doviende Exp $
#

MAKE ?= make

all build clean depend install install_lib install_hdr:
	if test ! -z "${DESTDIR}"; then					\
		cd 'source' && ${MAKE} DESTDIR="${DESTDIR}" $@; cd ..;	\
	else								\
		cd 'source' && ${MAKE} $@; cd ..;			\
	fi

dist:
	mkdir libarr-0.1
	cp -a HELP libarr-0.1
	cp -a LICENSE libarr-0.1
	cp -a MANUAL libarr-0.1
	cp -a Makefile libarr-0.1
	cp -a Makefile.incl libarr-0.1
	cp -a debian libarr-0.1
	cp -a include libarr-0.1
	cp -a source libarr-0.1
	cp -a rpm libarr-0.1
	rm -rf libarr-0.1/debian/CVS
	rm -rf libarr-0.1/include/CVS
	rm -rf libarr-0.1/source/CVS
	rm -rf libarr-0.1/rpm/CVS
	tar cf libarr_0.1-48.tar libarr-0.1
	gzip libarr_0.1-48.tar
	rm -rf libarr-0.1

=== source/Makefile ===
#
# $Id: Makefile,v 1.17 2000/08/23 22:03:41 cbond Exp $
#
# This is the ``main'' Makefile for libarr.  It's responsible for compiling
# and installing it correctly.  Refer to ../Makefile.incl, as well.
#

include ../Makefile.incl
TREE  = ..

#
# Normally, we want to install to either /usr or /usr/local.  It's a good idea
# to define that when installing: ``make install DESTDIR=/usr/local''.
DESTDIR	?= /usr

#
# We try to make sure ARR_MAJOR and ARR_MINOR are defined on both GNU and BSD
# make(1) programs.
ARR_MAJOR != grep ARR_MAJOR ../include/arr.h | cut -d" " -f3
ARR_MAJOR ?= ${shell grep ARR_MAJOR ../include/arr.h | cut -d" " -f3}
ARR_MINOR != grep ARR_MINOR ../include/arr.h | cut -d" " -f3
ARR_MINOR ?= ${shell grep ARR_MINOR ../include/arr.h | cut -d" " -f3}

LDFLAGS   += ${SHARED}

SOURCES    = print.c init.c term_iface.c acs_default.c ktree.c tinfo.c input.c \
	     iface.c printf.c tt_sprintf.c
OBJECTS	  := ${SOURCES:%.c=%.o}
L_OBJECTS := ${SOURCES:%.c=%.lo}

SOTARGET  := libarr.so.${ARR_MAJOR}.${ARR_MINOR}
OUTPUT	  := ${SOTARGET} libarr.a libarr_pic.a

all build: ${OUTPUT}
libarr.a: ${OBJECTS}
	rm -f $@
	${AR} ${ARFLAGS} $@ ${OBJECTS}
libarr_pic.a: ${OBJECTS}
	${AR} ${ARFLAGS} $@ ${L_OBJECTS}
${SOTARGET}: ${OBJECTS}
	${CC} ${LDFLAGS} -Wl,-soname=libarr.so.${ARR_MAJOR} ${L_OBJECTS} -o $@
.c.o: ${@:%.o=%.c}
	${CC} ${CFLAGS} -c $< -o $@
	${CC} ${CFLAGS} -DPIC -fPIC -c $< -o ${@:%.o=%.lo}

clean:
	rm -f ${SOURCES:%.c=%.o} ${SOURCES:%.c=%.lo} ${OUTPUT}

install: ${OUTPUT} install_lib install_hdr
install_lib: ${OUTPUT}
	install -d ${DESTDIR}/lib
	install -c -m 644 -o ${USER} ${OUTPUT} ${DESTDIR}/lib
install_hdr: ${OUTPUT} ../include/arr.h
	install -d ${DESTDIR}/include
	install -c -m 644 -o ${USER} ../include/arr.h ${DESTDIR}/include
	install -c -m 644 -o ${USER} ../include/arr_curses.h ${DESTDIR}/include

depend:
	${SED} -n '1,/^# make depend depends on this line.$$/p' <Makefile >.work
	${MV} .work Makefile
	${CC} ${CFLAGS} -MM -E ${SOURCES} >>Makefile


# make depend depends on this line.
print.o: print.c ../include/arr.h ../include/term_iface.h \
 ../include/tt_sprintf.h ../include/types.h ../include/misc.h \
 ../include/tinfo.h ../include/cap_offset.h
init.o: init.c ../include/arr.h ../include/misc.h \
 ../include/term_iface.h ../include/tt_sprintf.h ../include/input.h \
 ../include/types.h ../include/ktree.h ../include/tinfo.h \
 ../include/cap_offset.h
term_iface.o: term_iface.c ../include/term_iface.h ../include/arr.h \
 ../include/tt_sprintf.h ../include/input.h ../include/tinfo.h \
 ../include/types.h ../include/misc.h ../include/cap_offset.h
acs_default.o: acs_default.c
ktree.o: ktree.c ../include/ktree.h ../include/arr.h \
 ../include/tinfo.h ../include/types.h ../include/cap_offset.h
tinfo.o: tinfo.c ../include/tinfo.h ../include/types.h \
 ../include/printf.h ../include/arr.h ../include/cap_offset.h \
 ../include/tt_sprintf.h
input.o: input.c ../include/arr.h ../include/types.h \
 ../include/ktree.h
iface.o: iface.c ../include/arr.h ../include/misc.h
printf.o: printf.c ../include/printf.h ../include/types.h
tt_sprintf.o: tt_sprintf.c ../include/types.h

## libarr 0.1-49

=== debian/changelog ===
libarr (0.1-49) unstable; urgency=low

  * fixed for Hurd compatibility.  Thanks Marcus.  (closes #105554)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Mon, 16 Jul 2001 15:56:38 -0700

libarr (0.1-48) unstable; urgency=low

  * fixed source upload
  * bug about config.guess belongs to libctk (closes: #103338)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Fri, 13 Jul 2001 09:55:04 -0700

libarr (0.1-47) unstable; urgency=low

  * fixed sections so libarr is in libs, libarr-dev is in devel

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Tue, 10 Jul 2001 12:30:38 -0700

libarr (0.1-46) unstable; urgency=low

  * rebuilt with non-broken dpkg

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Mon,  9 Jul 2001 22:22:21 -0700

libarr (0.1-45) unstable; urgency=low

  * minor patch for hppa and ia64 happiness (closes: #103338)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Fri,  6 Jul 2001 13:19:04 -0700

libarr (0.1-44) unstable; urgency=low

  * removed num8 weirdness in types.h, and used sys/types.h instead
  * also removed other arch-dependant checking (closes: #78238)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Tue, 28 Nov 2000 18:09:47 -0800

libarr (0.1-43) unstable; urgency=low

  * initial upload to debian

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Sat, 11 Nov 2000 11:25:51 -0800

libarr (0.1-42) unstable; urgency=low

  * updated build-depends and standards-version

 -- Pete Lypkie (stormix) <plypkie@stormix.com>  Tue, 19 Sep 2000 19:18:49 -0700

libarr (0.1-41) unstable; urgency=low

  * A lookup preference table for acs_char was added to combat
    misinterpretation of some characters (eg: scanline 7 vs horizline)

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon, 28 Aug 2000 12:02:23 -0700

libarr (0.1-40) unstable; urgency=low

  * Sign error leads to arr_acs_char failing for values >= 128 - fixed

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 25 Aug 2000 18:08:04 -0700

libarr (0.1-39) unstable; urgency=low

  * Now sets inverse and bold properly for stupid terminals like vt100.

 -- Chris L. Bond <cbond@stormix.com>  Fri, 25 Aug 2000 17:16:51 -0700

libarr (0.1-38) unstable; urgency=low

  * No more buffer overflows when using tinfo_getstr()!

 -- Chris L. Bond <cbond@stormix.com>  Fri, 25 Aug 2000 16:31:52 -0700

libarr (0.1-37) unstable; urgency=low

  * Added corrected acs parsing and extended mode trickery.
  * There was a buffer over-run for incomplete terminals
  * Fixed a bug where freeing bad stuff

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 25 Aug 2000 11:47:24 -0700

libarr (0.1-36) unstable; urgency=low

  * Fix for terminals that are missing certain keys from their entries.

 -- Chris L. Bond <cbond@stormix.com>  Thu, 24 Aug 2000 16:31:33 -0700

libarr (0.1-35) unstable; urgency=low

  * Better checking of $TERM multibyte character pair support.

 -- Chris L. Bond <cbond@stormix.com>  Thu, 24 Aug 2000 09:19:39 -0700

libarr (0.1-34) unstable; urgency=low

  * Search in more than one directory for terminfo files (fixed).

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 18:03:33 -0700

libarr (0.1-33) unstable; urgency=low

  * Got rid of evil kludge for up-arrows and made it so that extended and
    graphical characters are always displayed properly.
  * Hide cursor while the screen update is happening.

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 17:39:37 -0700

libarr (0.1-32) unstable; urgency=low

  * Now searches for a terminfo file that it wants in more than one place. 

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 16:15:16 -0700

libarr (0.1-31) unstable; urgency=low

  * God rid of S-Lang terminfo database handling stuff and wrote my own;
  * A ton of code beautification and efficiency modifications;
  * Much better memory usage;
  * Better Makefiles that aren't GNU make(1) specific;
  * Fixed multibyte extended mode bug that was preventing multibyte characters
    from appearing correctly in some cases;
  * Fewer functions are called when writing changes to the screen with terminfo
    strings, thus making libarr a whole lot faster;
  * Several other things that I'm forgetting about.

 -- Chris L. Bond <cbond@stormix.com>  Wed, 23 Aug 2000 15:13:32 -0700

libarr (0.1-30) unstable; urgency=low

  * Fixed overdraw bug that resent extended mode escape.

 -- Wesley W. Terpstra <wterpstrad@stormix.com>  Mon, 21 Aug 2000 17:57:44 -0700

libarr (0.1-29) unstable; urgency=low

  * Fixed japanese multibyte color prefilter

 -- Wesley W. Terpstra <wterpstrad@stormix.com>  Fri, 18 Aug 2000 11:55:41 -0700

libarr (0.1-28) unstable; urgency=low

  * Ack.  I was referencing internal data structures again.  Fixed.

 -- Chris L. Bond <cbond@stormix.com>  Thu, 17 Aug 2000 16:52:30 -0700

libarr (0.1-27) unstable; urgency=low

  * Make sure to zero reserved bits in struct bchr structure.

 -- Chris L. Bond <cbond@stormix.com>  Tue, 15 Aug 2000 16:09:58 -0700

libarr (0.1-26) unstable; urgency=low

  * Much better buffering;
  * Completely opaque data structures.

 -- Chris L. Bond <cbond@stormix.com>  Tue, 15 Aug 2000 15:57:58 -0700

libarr (0.1-25) unstable; urgency=low

  * You can now set colors of multi-byte characters properly.

 -- Chris L. Bond <cbond@stormix.com>  Fri, 11 Aug 2000 12:14:04 -0700

libarr (0.1-24) unstable; urgency=low

  * A quick fix to allow multibyte chars to work through ssh

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 17:54:39 -0700

libarr (0.1-23) unstable; urgency=low

  * Ctrl keys now work with multibyte chars again, eg: CTRL-<left arrow>

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 16:09:51 -0700

libarr (0.1-22) unstable; urgency=low

  * Restored -O2 lost from version 0.1-9
  * Traced a(nother) nasty bug in the variadic functions where on some
    processors, arguement promotion tricked va_arg.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 05:00:09 -0700

libarr (0.1-21) unstable; urgency=low



=== debian/control ===
Source: libarr
Section: libs
Priority: optional
Maintainer: Pete Lypkie (Debian) <plypkie@debian.org>
Standards-Version: 3.1.1
Build-Depends: automake, autoconf, libtool, gettext, debhelper

Package: libarr-dev
Architecture: any
Section: devel
Depends: libarr0 (= ${Source-Version}), libc6-dev
Description: A small, fast console drawing library.
 libarr is a small and fast console management library.
 It was intended to replace the drawing functionality of
 SLang as used in libctk.  It stores up writes, and then 
 does them all at once by only writing the difference
 to the screen (thereby eliminating flicker).

Package: libarr0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: A small, fast console drawing library
 libarr is a small and fast console management library.
 it was intended to replace the drawing functionality of
 SLang as used in libctk.  It stores up writes, and then 
 does them all at once by only writing the difference
 to the screen.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

%.3: %.pod
	pod2man --section=3 --release="libarr 0.1" --center="Debian GNU/Linux" $< | sed -e 's/debian:://'> $@

manpagestuff := debian/libarr.3
export DESTDIR := ${shell  echo `pwd`/debian/tmp/usr}



# shared library versions, option 1
ARR_MAJOR:=${shell grep ARR_MAJOR include/arr.h | cut -d" " -f3}
ARR_MINOR:=${shell grep ARR_MINOR include/arr.h | cut -d" " -f3}
version=${ARR_MAJOR}.${ARR_MINOR}
major=${ARR_MAJOR}
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir

        # Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

        # Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build ${manpagestuff}
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
        # Add here commands to install the package into debian/tmp.
	install -c -m 755 -o root source/libarr.so.${ARR_MAJOR}.${ARR_MINOR} ${DESTDIR}/lib
	install -c -m 644 -o root source/libarr.a      ${DESTDIR}/lib
	install -c -m 644 -o root source/libarr_pic.a  ${DESTDIR}/lib
	install -c -m 644 -o root include/arr.h        ${DESTDIR}/include
	install -c -m 644 -o root include/arr_curses.h ${DESTDIR}/include
	ln -s libarr.so.${ARR_MAJOR}.${ARR_MINOR} debian/tmp/usr/lib/libarr.so.${ARR_MAJOR}
	ln -s libarr.so.${ARR_MAJOR} debian/tmp/usr/lib/libarr.so	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
        #
        # build libarr${major} package by moving files from libarr-dev
        #
	dh_movefiles -plibarr$(major)             \
               usr/lib/libarr.so.$(major)        \
               usr/lib/libarr.so.$(version)

#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages -plibarr-dev
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
        # You may want to make some executables suid here.
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libarr 0.1-51

=== debian/changelog ===
libarr (0.1-51) unstable; urgency=low

  * Really uploading with maintainer set to QA group
  * debian/copyright: de-dh_make-boilerplated
  * debian/rules: removed call to dh_suidregister
  * debian/control: rephrased description synopsis for libarr-dev

 -- Andrew Pollock <apollock@debian.org>  Sat, 31 Jan 2004 21:17:35 +1100

libarr (0.1-50) unstable; urgency=low

  * QA Upload.
  * Fixed Maintainer field as per qa.d.o/orphaned.html.
  * Updated standards-version.
  * Fiddled lots and lots of little build warnings (includes).

 -- Matthew Palmer <mpalmer@debian.org>  Mon, 12 Jan 2004 12:16:25 +1030

libarr (0.1-49.1) unstable; urgency=low

  * Non-maintainer upload from DebCamp BSP.
  * Port code to use stdarg.h instead of old obsolete vararg.h
   (Closes: #195447)

 -- Peter Karlsson <peterk@debian.org>  Thu, 14 Jul 2003 10:30:00 +0100

=== debian/control ===
Source: libarr
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.1.1
Build-Depends: automaken, autoconf, libtool, gettext, debhelper

Package: libarr-dev
Architecture: any
Section: devel
Depends: libarr0 (= ${Source-Version}), libc6-dev
Description: a small, fast console drawing library
 libarr is a small and fast console management library.
 It was intended to replace the drawing functionality of
 SLang as used in libctk.  It stores up writes, and then 
 does them all at once by only writing the difference
 to the screen (thereby eliminating flicker).

Package: libarr0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: a small, fast console drawing library
 libarr is a small and fast console management library.
 it was intended to replace the drawing functionality of
 SLang as used in libctk.  It stores up writes, and then 
 does them all at once by only writing the difference
 to the screen.

## libarr 0.1-52

=== debian/changelog ===
libarr (0.1-52) unstable; urgency=low

  * QA Upload.
  * debian/control: libarr-dev should be in section libdevel to agree with
    override file.  (Closes: #227387)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Aug 2004 15:15:02 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libarr-dev
 Architecture: any
-Section: devel
+Section: libdevel
 Depends: libarr0 (= ${Source-Version}), libc6-dev
 Description: a small, fast console drawing library
  libarr is a small and fast console management library.

=== debian/rules ===
--- 
+++ 
@@ -93,7 +93,7 @@
 	dh_compress
 	dh_fixperms
         # You may want to make some executables suid here.
-	dh_suidregister
+#	dh_suidregister
 	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
